import type { BabelConfig } from '@beemo/driver-babel';
import type { LumosEnvSetting } from '@oriflame/lumos-common';
export interface Assumptions {
    arrayLikeIsIterable?: boolean;
    constantReexports?: boolean;
    constantSuper?: boolean;
    enumerableModuleMeta?: boolean;
    ignoreFunctionLength?: boolean;
    ignoreToPrimitiveHint?: boolean;
    iterableIsArray?: boolean;
    mutableTemplateObject?: boolean;
    noClassCalls?: boolean;
    noDocumentAll?: boolean;
    noIncompleteNsImportDetection?: boolean;
    noNewArrows?: boolean;
    objectRestNoSymbols?: boolean;
    privateFieldsAsProperties?: boolean;
    pureGetters?: boolean;
    setClassMethods?: boolean;
    setComputedProperties?: boolean;
    setPublicClassFields?: boolean;
    setSpreadProperties?: boolean;
    skipForOfIteratorClosing?: boolean;
    superIsCallableConstructor?: boolean;
}
interface BabelOptions {
    env?: LumosEnvSetting;
    esm?: boolean;
    graphql?: boolean;
    library?: boolean;
    node?: boolean;
    react?: boolean;
    empty?: boolean;
    srcFolder: string;
    enableModuleExports?: boolean;
    workspaces?: string[];
    assumptions?: Assumptions;
}
export declare function getConfig({ env, esm, graphql, library, node, react, empty, srcFolder, workspaces, assumptions, }: BabelOptions): BabelConfig;
export {};
//# sourceMappingURL=index.d.ts.map