'use strict';

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, '__esModule', {
  value: true
});

const lumosCommon = require('@oriflame/lumos-common');

function getConfig({
  env = {},
  esm = false,
  graphql = false,
  library = false,
  node = false,
  react = false,
  empty = false,
  srcFolder,
  workspaces,
  assumptions
}) {
  if (empty) {
    return {};
  }

  const config = {
    babelrc: true,
    // @ts-expect-error -- not typed
    assumptions,
    babelrcRoots: workspaces,
    parserOpts: _objectSpread({}, library && {
      sourceType: 'unambiguous'
    }),
    presets: [['@oriflame/babel-preset', {
      modules: esm,
      react,
      library,
      graphql,
      removePropTypes: !library && react,
      srcFolder,
      env: _objectSpread({
        targets: node ? lumosCommon.NODE_TARGET : lumosCommon.WEB_TARGET
      }, env)
    }]]
  };
  return config;
}

exports.getConfig = getConfig;
//# sourceMappingURL=index2.js.map
